Hitachi Vantara Pentaho Community Forums
Results 1 to 12 of 12

Thread: 3.0.0 M2 'hangs' after reading repository

  1. #1
    Join Date
    May 2006
    Posts
    12

    Question 3.0.0 M2 'hangs' after reading repository

    Hi,

    Today we've 'upgraded' to PDI 3.0.0M2 because we need the extra command line options. But we can't seem to get it to work. When I list the jobs in a certain directory from the command line this works but if I start a job the job stops after the following steps:

    C:\Program Files\Kettle>kitchen /rep:"VTM-SRB-PDI-Repo" /user:xxxxx /pass:xxxxx
    /dir:"/2. DWH" /job:Transformation_XD
    INFO 28-09 12:05:59,515 (LogWriter.javarintln:389) -Kitchen - Start of run.
    2007/09/28 12:06:01:656 CEST [INFO] DefaultFileReplicator - Using "C:\DOCUME~1\w
    esselks\LOCALS~1\Temp\vfs_cache" as temporary files store.
    INFO 28-09 12:06:01,781 (LogWriter.javarintln:389) -PluginLoader - file:///C
    :/Documents and Settings/xxxxxxxx/.kettle/plugins does not exist.
    INFO 28-09 12:06:01,828 (LogWriter.javarintln:389) -RepositoriesMeta - Readi
    ng repositories XML file: C:\Documents and Settings\xxxxxxxx\.kettle\repositorie
    s.xml

    We've upgraded from 2.5.1. Can anybody explain why it 'stops'. I would expect it to crash since the jobs need several parameters.

    Hope anybody can help.

    Regards,

    Wessel

  2. #2
    Join Date
    Nov 1999
    Posts
    9,729

    Default

    Wessel, can you give this pre-RC1 drop a try? http://s3.amazonaws.com/kettle3/Kett...1-20070927.zip

    Be careful: these milestone and pre-RC1 releases are not meant for production use.

    Please let me know what happens.

    Thanks!

    Matt

  3. #3
    Join Date
    May 2006
    Posts
    12

    Default

    Matt,

    Thanks for the swift reply. I know we shouldn't use it in production. We hope to have 3.0.0 available before we go to production. But until then we want to test if our jobs work. ;-)

    But the new download doesn't work for us. Below the steps and the error message. Next to that in the job I did a preview of a table and that didn't work either. But I guess that has something to do with the error below.


    C:\Program Files\Kettle>kitchen /rep:"VTM-SRB-PDI-Repo" /user:xxxxx /pass:xxxxx
    /dir:"/2. DWH" /listjobs:Y
    INFO 28-09 13:17:03,734 (LogWriter.javarintln:397) -Kitchen - Start of run.
    2007/09/28 13:17:05:859 CEST [INFO] DefaultFileReplicator - Using "C:\DOCUME~1\w
    esselks\LOCALS~1\Temp\vfs_cache" as temporary files store.
    INFO 28-09 13:17:05,984 (LogWriter.javarintln:397) -PluginLoader - file:///C
    :/Documents and Settings/xxxxxx/.kettle/plugins does not exist.
    INFO 28-09 13:17:06,031 (LogWriter.javarintln:397) -RepositoriesMeta - Readi
    ng repositories XML file: C:\Documents and Settings\xxxxxx\.kettle\repositorie
    s.xml
    Processing stopped because of an error:
    Incorrect password or login

    Hope you or somebody else can help us out. You're help is very much appreciated.

    Regards,

    Wessel

  4. #4
    Join Date
    May 2006
    Posts
    4,882

    Default

    Are you using the right userid/password for the repository?

    Regards,
    Sven

  5. #5
    Join Date
    May 2006
    Posts
    12

    Default

    Yes, I know for sure, because it's the same statement used with the previous version. ;-)

    it's just the standard at the moment. So nothing special there.

    And I could login to spoon, so I think it's correct. ;-)

    Regards,

    Wessel

  6. #6
    Join Date
    May 2006
    Posts
    4,882

    Default

    The message states otherwise ... maybe someone changed the passwords... maybe you have to upgrade the repository (but don't do it anything productive).

    Regards,
    Sven

  7. #7
    Join Date
    May 2006
    Posts
    12

    Default

    I know, it states otherwise. But I can login with the right credentials when running spoon.bat. So I guess there is something els going on. Hopefully you can help me out.

    And when I do a preview in a transformer I get the following message:

    We failed to initialize at least one step. Execution can not begin!

    The details are as follows:

    org.pentaho.di.core.exception.KettleException:
    We failed to initialize at least one step. Execution can not begin!

    at org.pentaho.di.trans.Trans.prepareExecution(Trans.java:566)
    at org.pentaho.di.ui.trans.dialog.TransPreviewProgressDialog.doPreview(TransPreviewProgressDialog.java:127)
    at org.pentaho.di.ui.trans.dialog.TransPreviewProgressDialog.access$000(TransPreviewProgressDialog.java:35)
    at org.pentaho.di.ui.trans.dialog.TransPreviewProgressDialog$1.run(TransPreviewProgressDialog.java:66)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)

  8. #8
    Join Date
    May 2006
    Posts
    4,882

    Default

    It works properly for me... can you make a new repository under a different schema and try again from there.

    Regards,
    Sven

  9. #9
    Join Date
    Nov 1999
    Posts
    9,729

    Default

    1) Export the repository in 2.5
    2) import in new 3.0 repository
    3) try again.

    ;-)

    Matt

  10. #10
    Join Date
    May 2006
    Posts
    12

    Default

    Hi,

    I did exactly what you told me. But the export/import didn't work for me. But importing that with 2.5.1 does work.
    Both were a clean install locally.
    Any suggestions? I also tried to use the dashes and =-signs instead of the / and :-sign.

    kitchen /rep:Kettle30Local /user:admin /pass:admin /listdir:Y

    The line above doesn't work for 3.0.0 RC1 20070927


    Regards,

    Wessel
    Last edited by wessel_k; 10-01-2007 at 10:15 AM.

  11. #11
    Join Date
    Nov 1999
    Posts
    9,729

    Default

    Maybe I missed it somewhere, but did you in fact upgrade the repository to 3.0? (actually 2.9something)

    Also, everyone is really interested to find out why the repository import/Export didn't work. If you can spare a bit of time, please file a bug for this.

    Thanks in advance,

    Matt

  12. #12
    Join Date
    May 2006
    Posts
    12

    Default

    Hi,

    What i did was setup a complete new repository using the version you supplied last friday. Then I imported the export I had into this repository. The export was based on the 2.5.0/2.5.1. I don't recall when we upgraded to 2.5.1.

    So I didn't change a setting or whatever, I just imported the repository and I couldn't use the command line functionality anymore. It gives me the strange error message that username password is incorrect.

    I'll log a call in the jira-environment.

    Regards,

    Wessel

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.